Vsan File Service System Vsan Query File Service Ovfs

Vsan File Service System Vsan Query File Service Ovfs
Lists all available vSAN File Service OVF in this vCenter.

Lists all available vSAN File Service OVF in this vCenter.

Required privileges: Global.VCServer

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanQueryFileServiceOvfs
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanFileServiceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

List of the file services OVFs available in this vCenter.

[
    {
        "_typeName": "string",
        "version": "string",
        "updateTime": "string",
        "task": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    }
]
array of object
Optional

The specification of the OVF that is used to deploy file service virtual machines.

Each of the OVF specification can be uniquely identified by its version number.

This structure may be used only with operations rendered under /vsan.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanQueryFileServiceOvfs